## org.hibernate.hql.ast.tree
Class ComponentJoin.ComponentFromElementType

    java.lang.Object
      org.hibernate.hql.ast.tree.ComponentJoin.ComponentFromElementType

Enclosing class:
  ComponentJoin

    public class ComponentJoin.ComponentFromElementType

extends Object

Constructor Summary
`ComponentJoin.ComponentFromElementType(FromElement fromElement)`

Method Summary
`String` `getCollectionSuffix()`
`Type` `getDataType()`
`EntityPersister` `getEntityPersister()`
`ParameterSpecification` `getIndexCollectionSelectorParamSpec()`
`JoinSequence` `getJoinSequence()`
`PropertyMapping` `getPropertyMapping(String propertyName)`
`Type` `getPropertyType(String propertyName, String propertyPath)` Returns the type of a property, given it's name (the last part) and the full path.
`Queryable` `getQueryable()` Returns the Hibernate queryable implementation for the HQL class.
`QueryableCollection` `getQueryableCollection()`
`Type` `getSelectType()`
`boolean` `isCollectionOfValuesOrComponents()`
`boolean` `isEntity()`
`String` `renderScalarIdentifierSelect(int i)` Render the identifier select, but in a 'scalar' context (i.e.
`String` `renderValueCollectionSelectFragment(int size, int k)`
`void` `setCollectionSuffix(String suffix)`
`void` `setIndexCollectionSelectorParamSpec(ParameterSpecification indexCollectionSelectorParamSpec)`
`void` `setJoinSequence(JoinSequence joinSequence)`
`void` `setQueryableCollection(QueryableCollection queryableCollection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentJoin.ComponentFromElementType

    public ComponentJoin.ComponentFromElementType(FromElement fromElement)

Method Detail

### getDataType

    public Type getDataType()

### getQueryableCollection

    public QueryableCollection getQueryableCollection()

### getPropertyMapping

    public PropertyMapping getPropertyMapping(String propertyName)

### getPropertyType

    public Type getPropertyType(String propertyName,
                                String propertyPath)

  Returns the type of a property, given it's name (the last part) and the full path.

  Parameters:
    `propertyName` - The last part of the full path to the property.
  Returns:
    The type.

### renderScalarIdentifierSelect

    public String renderScalarIdentifierSelect(int i)

  Render the identifier select, but in a 'scalar' context (i.e. generate the column alias).

  Parameters:
    `i` - the sequence of the returned type
  Returns:
    the identifier select with the column alias.

### getCollectionSuffix

    public String getCollectionSuffix()

### setCollectionSuffix

    public void setCollectionSuffix(String suffix)

### getEntityPersister

    public EntityPersister getEntityPersister()

### getSelectType

    public Type getSelectType()

### getQueryable

    public Queryable getQueryable()

  Returns the Hibernate queryable implementation for the HQL class.

  Returns:
    the Hibernate queryable implementation for the HQL class.

### renderValueCollectionSelectFragment

    public String renderValueCollectionSelectFragment(int size,
                                                      int k)

### setJoinSequence

    public void setJoinSequence(JoinSequence joinSequence)

### getJoinSequence

    public JoinSequence getJoinSequence()

### setQueryableCollection

    public void setQueryableCollection(QueryableCollection queryableCollection)

### isCollectionOfValuesOrComponents

    public boolean isCollectionOfValuesOrComponents()

### isEntity

    public boolean isEntity()

### getIndexCollectionSelectorParamSpec

    public ParameterSpecification getIndexCollectionSelectorParamSpec()

### setIndexCollectionSelectorParamSpec

    public void setIndexCollectionSelectorParamSpec(ParameterSpecification indexCollectionSelectorParamSpec)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.